function serverCmdSnow(%client, %amt) {
	if(!%client.isAdmin)
		return messageClient(%client, '', '\c6You need to be an admin to use this command.');
	while(isObject(cloud))
		cloud.delete();
	%amt = mFloor(%amt);
	if(%amt <= 0)
		return messageClient(%client, '', '\c6It stopped snowing.');
	new precipitation(cloud) {
		position = "0 0 600";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		nameTag = "snow";
		dataBlock = "SnowA";
		minSpeed = "0.5";
		maxSpeed = "1";
		minMass = "0.75";
		maxMass = "0.85";
		maxTurbulence = "0.1";
		turbulenceSpeed = "0.2";
		rotateWithCamVel = "1";
		useTurbulence = "1";
		numDrops = %amt;
		boxWidth = "100";
		boxHeight = "100";
		doCollision = "1";
	};
	messageAll('', '\c6It\'s now snowing at a rate of \c3%1\c6 snowflakes per something!', %amt);
}
